# Light control module for light control of the "convi" zone of Electrolab

***

This project is an open-source control module for the lights in the "convi" zone of the association HQ.
The Electrolab association has a "convi" zone with multiple light sources that need remote control for conferences and presentations, and also for energy saving.

![PCB view (V1)](docs/PCB_V1.PNG)

![PCB 3D view (V1)](docs/PCB_3D_V1.PNG)

## Description and features

This repository contains all the hardware design.

Multiple MCU boards target are proposed :
- Discovery STM32F746G evaluation board from ST. It features a touchscreen that will provide the HMI for the light control, as well as Ethernet connectivity.
- Nucleo STM32F207ZG from ST. It features Ethernet connectivity.
- ESP32-POE module from Olimex. It provides Ethernet and Wi-Fi connectivity.
- ESP32-WROOM-32 (or equivalent) module from Olimex. It provides Wi-Fi connectivity.
Only one of these boards can be used at a time, but the footprints for both are provided, in order to give some flexibility for the choice of the main MCU bard.

The target enclosure is a [G373 from Multicomp](http://www.farnell.com/datasheets/1724048.pdf?_ga=2.97583647.1827600163.1585775382-1006352058.1573488393
), compatible with [Gainta G373](http://www.gainta.com/en/g373.html).

The board provides a hardware interface between the 8 PWM outputs of the MCU board, with power supply and 0-10V analog outputs through filtering and voltae scaling.

The 0-10V outputs are individually opto-isolated and provide over-current protection (10mA through HW limitation + polyswitch fuse). The power supply for each isolated part of the output can be taken from the external appliance through the output connector, or provided through individual isolated DC-DC converters. Each output provides a trimmer for fine tuning of the output voltage transfer function.

The board provides a 12V power supply input with fuse, reverse diode protection and basic filtering. This supplies the VIN of the Arduino, MORPHO and ESP-32POE connectors. It also provides a 3.3V power supply for the ESP32 module (not mounted if any other board is used).

The board also provides a [DALI](https://en.wikipedia.org/wiki/Digital_Addressable_Lighting_Interface) interface.

The PCB design is single-board, 2 layers, components on both sides, layout targetted for IPC class 4. Moutong holes are provided for the target enclosures, as well as mounting holes for DIN rail PCB adaptors.

## Embedded software

See the corresponding SW repo : [LightControConvi_SW](https://code.electrolab.fr/Flax/lightcontrolconvi_sw)

## Tools
- [Kicad 7.0](https://www.kicad.org/download/)
- [Discovery STM32F746G](https://www.st.com/en/evaluation-tools/32f746gdiscovery.html)
- [Nucleo STM32F207ZG](https://www.st.com/en/evaluation-tools/nucleo-f207zg.html)
- [Olimex ESP32-POE](https://www.olimex.com/Products/IoT/ESP32/ESP32-POE/open-source-hardware)
- [Olimex ESP32-WROOM-32](https://www.olimex.com/Products/IoT/ESP32/ESP32-WROOM-32/)
